Name:           langpack-support
Version:        0.0
Release:        1%{?dist}
Summary:        Meta packages for langpack install support

Group:          System Environment/Base
License:        GPLv2+
URL:            http://fedoraproject.org/wiki/Features/YumLangpackPlugin
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Meta packages for langpack support of Yum langpack plugin.


%define spc() %(echo -n ' ')

%define subpkg() \
%package %1\
Summary:    Langpack support metapackage for %2\
Group:      System Environment/Base\
Requires:   yum-plugin-langpacks\
\
%description %1\
This package provides yum support for installing langpacks for %2.\
\
%files %1\
%defattr(-,root,root)

%subpkg af Afrikaans
%subpkg am Ethiopic
%subpkg ar Arabic
%subpkg as Assamese
%subpkg az Azerbaijani
%subpkg be Belarusian
%subpkg ber Amazigh
%subpkg bg Bulgarian
%subpkg bn Bengali
%subpkg bo Tibetan
%subpkg br Breton
%subpkg bs Bosnian
%subpkg ca Catalan
%subpkg cop Coptic
%subpkg cs Czech
%subpkg csb Kashubian
%subpkg cy Welsh
%subpkg da Danish
%subpkg de German
%subpkg dz Bhutanese
%subpkg el Greek
%subpkg en_GB British%{spc}English
%subpkg eo Esperanto
%subpkg es Spanish
%subpkg et Estonian
%subpkg eu Basque
%subpkg fa Persian
%subpkg fi Finnish
%subpkg fil Filipino
%subpkg fj Fijian
%subpkg fo Faeroese
%subpkg fr French
%subpkg fur Friulian
%subpkg fy Frisian
%subpkg ga Irish
%subpkg gd Gaelic
%subpkg gl Galician
%subpkg gu Gujarati
%subpkg gv Manx
%subpkg he Hebrew
%subpkg hi Hindi
%subpkg hil Hiligaynon
%subpkg hr Croatian
%subpkg hsb Upper%{spc}Sorbian
%subpkg hu Hungarian
%subpkg hy Armenian
%subpkg ia Interlingua
%subpkg id Indonesian
%subpkg is Icelandic
%subpkg it Italian
%subpkg iu Inuktitut
%subpkg ja Japanese
%subpkg ka Georgian
%subpkg kk Kazakh
%subpkg km Khmer
%subpkg kn Kannada
%subpkg ko Korean
%subpkg kok Konkani
%subpkg ks Kashmiri
%subpkg ku Kurdish
%subpkg la Latin
%subpkg lb Luxembourgish
%subpkg lo Lao
%subpkg lt Lithuanian
%subpkg lv Latvian
%subpkg mai Maithili
%subpkg mg Malagasy
%subpkg mi Maori
%subpkg mk Macedonian
%subpkg ml Malayalam
%subpkg mn Mongolian
%subpkg mr Marathi
%subpkg ms Malay
%subpkg mt Maltese
%subpkg my Myanmar
%subpkg nb Norwegian
%subpkg nds Low Saxon
%subpkg ne Nepali
%subpkg nl Dutch
%subpkg nr Southern%{spc}Ndebele
%subpkg nso Northern%{spc}Sotho
%subpkg ny Chichewa
%subpkg oc Occitan
%subpkg or Oriya
%subpkg pa Punjabi
%subpkg pl Polish
%subpkg pt Portuguese
%subpkg pt_BR Brazilian%{spc}Portuguese
%subpkg ro Romanian
%subpkg ru Russian
%subpkg rw Kinyarwanda
%subpkg sa Sanskrit
%subpkg sc Sardinian
%subpkg sd Sindhi
%subpkg si Sinhala
%subpkg sk Slovak
%subpkg sl Slovenian
%subpkg sm Samoan
%subpkg sq Albanian
%subpkg sr Serbian
%subpkg ss Swati
%subpkg st Southern%{spc}Sotho
%subpkg sv Swedish
%subpkg sw Swahili
%subpkg ta Tamil
%subpkg te Telugu
%subpkg tet Tetum
%subpkg tg Tajik
%subpkg th Thai
%subpkg tk Turkmen
%subpkg tl Tagalog
%subpkg tn Tswana
%subpkg to Tonga
%subpkg tr Turkish
%subpkg ts Tsonga
%subpkg uk Ukrainian
%subpkg ur Urdu
%subpkg uz Uzbek
%subpkg ve Venda
%subpkg vi Vietnamese
%subpkg wa Walloon
%subpkg xh Xhosa
%subpkg zh_CN Simplified%{spc}Chinese
%subpkg zh_TW Traditional%{spc}Chinese
%subpkg zu Zulu


%prep
%{nil}

%build
%{nil}

%install
rm -rf $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jul 20 2009 Jens Petersen <petersen@redhat.com> - 0.0-1
- initial package
